## ros-noetic-open-manipulator-p-gazebo 1.0.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.0.2)
project(open_manipulator_p_gazebo)

add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencie
################################################################################
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    std_msgs
    gazebo_ros
    gazebo_ros_control
    controller_manager
    urdf
    xacro
)

find_package(gazebo REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS
    roscpp
    std_msgs
    gazebo_ros
    gazebo_ros_control
    controller_manager
    urdf
    xacro
)

################################################################################
# Build
################################################################################
link_directories(${GAZEBO_LIBRARY_DIRS})

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

add_executable(omp_gripper_sub_publisher src/omp_gripper_sub_publisher.cpp)
add_dependencies(omp_gripper_sub_publisher ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(omp_gripper_sub_publisher ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS omp_gripper_sub_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch meshes urdf worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-noetic-open-manipulator-p-gazebo (1.0.1-1focal) focal; urgency=high

  * Noetic support
  * Remove dependency of open_manipulator_p package
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 28 Jun 2021 15:00:00 -0000

ros-noetic-open-manipulator-p-gazebo (1.0.0-1focal) focal; urgency=high

  * First release of the open_manipulator_p_simulations stack
  * Contributors: Ryan Shim, YongHo-Na, HyeJong KIM

 -- Will Son <willson@robotis.com>  Wed, 14 Oct 2020 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-open-manipulator-p-gazebo
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-manager, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-urdf, ros-noetic-xacro
Homepage: http://wiki.ros.org/open_manipulator_p_gazebo
Standards-Version: 3.9.2

Package: ros-noetic-open-manipulator-p-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-manager, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-urdf, ros-noetic-xacro
Description: Package for OpenMANIPULATOR-P Gazebo
